package com.bipt.intelligentapplicationorchestrationservice.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RefreshScope // 支持配置动态刷新
public class ConfigController {
    @Value("${example.config:默认值}")
    private String configValue;

    @GetMapping("/config")
    public String getConfig() {
        return "配置值: " + configValue;
    }
}
